Appender::TestFileCreeper(3)

NAME
Log::Log4perl::Appender::TestFileCreeper - Intentionally slow test appender

SYNOPSIS
    use Log::Log4perl::Appender::TestFileCreeper;

    my $app = Log::Log4perl::Appender::TestFileCreeper->new(
      filename  => 'file.log',
      mode      => 'append',
    );

    $file->log(message => "Log me\n");

DESCRIPTION
This is a test appender, and it is intentionally slow. It writes out one byte at a time to provoke sync errors. Don't use it, unless for testing.

LICENSE
Copyright 2002-2026 by Mike Schilli <m@perlmeister.com> and Kevin Goess <cpan@goess.org>.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.